#!/bin/bash
# Reads date and time from epever_data.json and sets the computer clock
# Run as root in a cron tab or at boot.

# Get the values from the solar generator
/usr/bin/python /home/marcel/SolarGenerator/epever-charge-controller.py  -c /home/marcel/SolarGenerator/config.json

# When the file /home/marcel/SolarGenerator/epever_data.json does not already exist, it is made with root ownership. When that happens
# the mail SolarGenerator loop cannot append any data to the file and the data from the battery is not logged anymore.
# So we make sure that the file is always owned by user marcel
chown marcel:marcel /home/marcel/SolarGenerator/epever_data.json

# Set the symtem date and time
date_time=$(/usr/bin/python /home/marcel/SolarGenerator/get_field_from_json.py -i /home/marcel/SolarGenerator/epever_data.json -f controller_date_time)

new_date=$(/usr/bin/date -d"$date_time")
/usr/bin/date -s "$new_date"
